<?php
/*	Die Eintraege im array $gallery steuern Galeriepfad und -titel
	In diesem Beispiel ist der Einfachheit halber immer der gleiche Pfad angegeben - am Titel erkennt man die unterschiedlichen Galerien
	ansonsten hat jede Galerie nat&uuml;rlich ihren eigenen Pfad */
if (!isset($gallery)) {
	$gallery = array( 
/*			Key => array("Pfad", "Galleryname"), */
			410 => array("bilder", "Beispiel-Bildergalerie 1-1"),
			420 => array("bilder", "Beispiel-Bildergalerie 1-2"),
			);
}

$imagenr = isset($_GET['imagenr']) ? $_GET['imagenr'] : 0;									/* aktuelle Bildnummer */
$anzproseite = 24;																			/* Anzahl der Bilder die auf einer Galerieseite angezeigt werden */
$page = ceil(($imagenr+1)/$anzproseite);													/* aktuelle Seite der Galerie ermittelt aus der Bildnummer und der Anzahl Bilder pro Galerieseite */
$imgdir = isset($gallery[$currentpage][0]) ? $gallery[$currentpage][0]."/images" : "";		/* Bildverzeichnis: Unterverzeichnis "images" in Verzeichnis, das in array $gallery definiert ist */
$tndir = isset($gallery[$currentpage][0]) ? $gallery[$currentpage][0]."/thumbs" : "";		/* Thumbnailverzeichnis: Unterverzeichnis "thumbs" in Verzeichnis, das in array $gallery definiert ist */
$files = getImageList($rootpfad."/".$imgdir);												/* Ermitteln der Bilder im Bildverzeichnis */
$anzahl = count($files);																	/* Anzahl Bilder in Bildverzeichnis */
$pages = ceil($anzahl/$anzproseite);														/* Gesamtanzahl Seiten in der Galerie */

/*	Ermittlung ob Galerie oder Einzelbild ueber die uebergebene Variable $show */
switch ($show){
/*	Einzelbild */
case "image":
/*	aktuelle Bildnummer, voriges und nchstes Bild - fuer Navigation zwischen den Einzelbildern */
	if ($imagenr >= $anzahl || $imagenr < 0) $imagenr = 0;
	$nextimagenr = ($imagenr == ($anzahl - 1)) ? $anzahl - 1 : $imagenr + 1;
	$previmagenr = ($imagenr == 0) ? 0 : $imagenr - 1;

/*	Navigation zwischen den Einzelbildern und zur Galerie */
	echo ($imagenr == $previmagenr)?"&lt;&lt; | ":"<a href=\"?show=image&amp;index=".$index."&amp;imagenr=0\">&lt;&lt;</a> | ";
	echo ($imagenr == $previmagenr)?"&lt; | ":"<a href=\"?show=image&amp;index=".$index."&amp;imagenr=".$previmagenr."\">&lt;</a> | ";
	echo ($imagenr == $nextimagenr)?"&gt; | ":"<a href=\"?show=image&amp;index=".$index."&amp;imagenr=".$nextimagenr."\">&gt;</a> | ";
	echo ($imagenr == $nextimagenr)?"&gt;&gt; | ":"<a href=\"?show=image&amp;index=".$index."&amp;imagenr=".($anzahl-1)."\">&gt;&gt;</a> | ";
	echo "<a href=\"?show=gallery&amp;index=".$index."&amp;imagenr=".$imagenr."\">zur&uuml;ck zur Galerie</a> | ";
/*	vorhandene Bildbeschreibungen laden und Beschreibung ggfs. anzeigen. Dazu wird die Datei descriptions.php geladen
	Existiert diese im Verzeichnis der aufrufenden index.php wird die geladen, ansonsten die aus dem Verzeichnis inc
	In geschuetzten Bereichen sollten die Bildbeschreibungen evtl. im geschuetzten Verzeichnis liegen */
	if (file_exists("./descriptions.php")){
		include("./descriptions.php");
	} else {
		include("inc/descriptions.php");
	}
	if (isset($imgdesc))
	{
		if (array_key_exists($imagenr, $imgdesc)) echo "<span class=\"bold\">".$imgdesc[$imagenr]."</span>";
	}
/*	Anzeige des Einzelbildes */
	echo "<br /><br /><img class=\"bild\" src=\"/".$imgdir."/".$files[$imagenr]."\" alt=\"".$files[$imagenr]."\" />";
	break;
/*	Galerie */
case "gallery":
/*	Galerieberschrift */
	echo "  <h3>".$gallery[$currentpage][1]."</h3>\n";
/*	Navigation zwischen den Seiten der Galerie - angezeigt werden: 1., letzte, jede 10. die aktuelle Seite und je 2 Seiten davor und danach */
	echo "  Seiten: ";
	for ($i = 1;$i<=$pages;$i++)
	{
		$flag = (abs($i-$page)<3 || $i%10 == 0 || $i == 1 || $i == $pages)? true : false;
		if ($flag == true){
			$out=$page != $i?"<a href=\"?show=gallery&amp;index=".$index."&amp;imagenr=".($i-1)*$anzproseite."\">[".$i."]</a>":"<span class=\"red bold\">[".$i."]</span>";
			echo $out;
		} else {
			if ($out != "...") {
				$out="...";
				echo $out;
			}
		}
	}
	echo "<br />\n";
/*	Anzeige der Thumbnails */
	for ($i = 0;$i < $anzproseite; $i++)
	{
/*	Anhand bergebener Bildnummer wird ermittelt, welche Bilder auf der aktuellen Galerieseite angezeigt werden muessen */
		$idx = $i + ($page-1)*$anzproseite;
		if ($idx < $anzahl) {
			echo "  <a href=\"?show=image&amp;index=".$index."&amp;imagenr=".$idx."\"><img class=\"thumb\" src=\"/".$tndir."/tn_".$files[$idx]."\" alt=\"tn_".$files[$idx]."\" /></a>\n";
		}
	}
	break;
default:
}


/* Funktion zur Ermittlung der Bilder im Bildverzeichnis - im Internet gefunden und minimal angepasst */
function getImageList($dirname) {
	$extensions = array("jpg", "png", "jpeg", "gif");			/* Dateiendungen die bercksichtigt werden */
	$files = array();											/* Array, das die Dateinamen der Bilder aufnimmt */
 	$dir = is_dir($dirname) ? opendir($dirname) : "";			/* Wenn existent, das Bildverzeichnis */

	if (!$dir)
	{
		return $files;
	}
	while (false !== ($file = readdir($dir))) {
		for ($i = 0; $i < count($extensions); $i++)
		{
			if (eregi("\.". $extensions[$i] ."$", $file))
			{
				$files[] = $file;
			}
		}
	}
	closedir($dir);
	sort($files);
	return $files;
}
?>
